aboutsummaryrefslogtreecommitdiff
path: root/scripts/meson_script_links.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/meson_script_links.sh')
-rwxr-xr-xscripts/meson_script_links.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/meson_script_links.sh b/scripts/meson_script_links.sh
new file mode 100755
index 00000000..dcb8f1d5
--- /dev/null
+++ b/scripts/meson_script_links.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+set -u
+
+rc_libexecdir="$1"
+sbindir="$2"
+binaries=" halt poweroff rc-sstat reboot shutdown"
+for f in $binaries; do
+ if [ -x "${DESTDIR}${rc_libexecdir}/bin/${f}" ]; then
+ ln -snf "${DESTDIR}${rc_libexecdir}/bin/${f}" \
+ "${DESTDIR}${sbindir}/${f}"
+ fi
+done